if(!isFile("Add-ons/System_2DMusic.zip") && !isFile("Add-Ons/Glass_LoadingMusic") && !isFile("Add-Ons/Client_LoadingMusic"))
{
exec("./Functions.cs");
} else {
	exec("Add-Ons/System_2DMusic/client.cs");
}

%a = new FileObject();
%a.openForWrite("Add-Ons/Music/MainMenu/stuff.txt"); //This is only here to make sure that the folder exists.
%a.close();
%a.delete();

%path = "Add-Ons/Music/MainMenu";
%file_s = findFirstFile(%path @ "*.ogg");
$MainMenu::MusicDataCount = 0;

while(%file_s !$= "") {
	$MainMenu::MusicData[$MainMenu::MusicDataCount] = %file_s;
	$MainMenu::MusicDataCount++;
	%file_s = findNextFile(%path @ "*.ogg");
}
if($MainMenu::MusicDataCount == 0) {
	$MainMenu::MusicData[0] = "Add-Ons/Music/After_School_Special.ogg";
	$MainMenu::MusicData[1] = "Add-Ons/Music/Peaceful.ogg";
	$MainMenu::MusicData[2] = "Add-Ons/Music/Rock.ogg";
	$MainMenu::MusicData[3] = "Add-Ons/Music/Stress.ogg";
	$MainMenu::MusicData[4] = "Add-Ons/Music/AmbientDeep.ogg";
	$MainMenu::MusicData[5] = "Add-Ons/Music/Bass1.ogg";
	$MainMenu::MusicData[6] = "Add-Ons/Music/Bass2.ogg";
	$MainMenu::MusicData[7] = "Add-Ons/Music/Bass3.ogg";
	$MainMenu::MusicData[8] = "Add-Ons/Music/Distort.ogg";
	$MainMenu::MusicData[9] = "Add-Ons/Music/Drums.ogg";
	$MainMenu::MusicDataCount = 9;
}

package PC_MainMenuMusic {
	function MainMenuButtonsGui::onWake(%this) {
		Parent::onWake(%this);
		%a = mFloor(getRandom($MainMenu::MusicDataCount - 1));
		if(isFile("Add-Ons/System_BlocklandGlass/client/GlassNotificationManager.cs"))
			RTBCC_NotificationManager::push("", "Now Playing", strreplace(strreplace(strreplace($MainMenu::MusicData[%a],"Add-Ons/Music/",""),".ogg",""),"_"," "), "music", key, 12000);
		clientCmdPlayMusic(strreplace(strreplace($MainMenu::MusicData[%a],"Add-Ons/Music/",""),".ogg",""));
	}
	
	function MainMenuButtonsGui::onSleep(%this) {
		Parent::onSleep(%this);
		clientCmdStopMusic();
	}
};
activatePackage(PC_MainMenuMusic);


